﻿using ForumStatistik.Logic;
using ForumStatistik.Model;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Text;

namespace ForumStatistik.ViewModel
{
    public class StatisticListItemViewModel : ViewModelBase
    {
        private readonly Person _personModel;

        public string FullName => _personModel.FullName;

        private int _presentDays;
        public int PresentDays { get => _presentDays; set => SetValue(ref _presentDays, value); }


        public ObservableCollection<StatisticPresentEntryItemViewModel> PresentEntries { get; set; }

        public StatisticListItemViewModel(Person person)
        {
            _personModel = person;
            GetEntries();
        }

        private ObservableCollection<StatisticPresentEntryItemViewModel> GetEntries()
        {
            var entryList = PeopleLogic.GetPresentEntries(_personModel.Id);
            PresentEntries = new ObservableCollection<StatisticPresentEntryItemViewModel>();
            entryList.ForEach(item => PresentEntries.Add(new StatisticPresentEntryItemViewModel(item)));
            return PresentEntries;
        }
    }
}
